com.jscape.inet.imap

## Enum Imap.Authentication

- java.lang.Object
- - java.lang.Enum<Imap.Authentication>
  - - com.jscape.inet.imap.Imap.Authentication

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Imap.Authentication>
  Enclosing class:
    Imap

      public static enum Imap.Authentication
      extends java.lang.Enum<Imap.Authentication>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `CRAM_MD5`
    `XOAUTH2`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `code`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `apply(Imap client)`
    `static Imap.Authentication` | `authenticationFor(int code)`
    `static Imap.Authentication` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Imap.Authentication[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final Imap.Authentication BASIC

    - #### CRAM_MD5

          public static final Imap.Authentication CRAM_MD5

    - #### XOAUTH2

          public static final Imap.Authentication XOAUTH2

  - ### Field Detail

    - #### code

          public final int code

  - ### Method Detail

    - #### values

          public static Imap.Authentication[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Imap.Authentication c : Imap.Authentication.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Imap.Authentication valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### authenticationFor

          public static Imap.Authentication authenticationFor(int code)

    - #### apply

          public abstract void apply(Imap client)
                              throws ImapException

      Throws:
        `ImapException`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved